Tvg_Color_Stop
ThorVG_CAPI (BETA version) » Gradient

A data structure storing the information about the color and its relative position inside the gradient bounds. More...

## Public Attributes

float | offset
uint8_t | r
uint8_t | g
uint8_t | b
uint8_t | a

## Detailed Description

A data structure storing the information about the color and its relative position inside the gradient bounds.

## Member Data Documentation

## a

uint8_t a

The alpha channel value in the range [0 ~ 255], where 0 is completely transparent and 255 is opaque.

## b

uint8_t b

The blue color channel value in the range [0 ~ 255].

## g

uint8_t g

The green color channel value in the range [0 ~ 255].

## offset

float offset

The relative position of the color.

## r

uint8_t r

The red color channel value in the range [0 ~ 255].